Subject: Re: [Virtex 4 PPC] Which Linux?

From: IngoM <[email-masked]>
Date: Wed, 6 Feb 2008 06:51:04 -0800 (PST)

Hello!

Thanks for all answers!

Robert Schwebel wrote:
> 
> On Mon, Feb 04, 2008 at 05:54:55AM -0800, IngoM wrote:
>> 2) Linux
>> I'd like to build my kernel and filesystem myself. But which way to go?
>> Using OE, buildroot, ELDK...
>> Can you please provide some starting points for me?
> 
> ptxdist would be another alternative.
> 

In the meantime, I get crosstool to compile my toolchain.
With that toolchain I get a xilinx kernel from their git-repo compiling and
booting up.

ptxdist compiles my userland, but I have some more probs:

I use the xmd from EDK to download and run the kernel.
I try to setup a rootfs via NFS but the kernel didn't get an address, maybe
there is a problem with the network-setup.
It's not clear to me how put the kernel-image and the userland to one
elf-binary that is downloadable by xmd, because to work around the above
network issue to get things started.

Best Regards,

Ingo

-- 
View this message in context: http://www.nabble.com/-Virtex-4-PPC--Which-Linux--tp15268468p15306699.html
Sent from the linuxppc-embedded mailing list archive at Nabble.com.